低危 Oracle Retail Integration Bus 17.0 RIB Kernel 跨站脚本攻击

CVE编号

CVE-2018-8013

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-05-25
漏洞描述
在1.10之前的ApacheBatik1.x中,当反序列化“抽象文档”的子类时,类将来自InputStream的字符串用作类名称,然后使用它来调用该类的no-arg构造函数。Fix是在调用在反序列化中调用newInstance之前检查 class type。 

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache batik * From
(including)
1.0
Up to
(excluding)
1.10
运行在以下环境
应用 oracle business_intelligence 11.1.1.7.0 -
运行在以下环境
应用 oracle business_intelligence 11.1.1.9.0 -
运行在以下环境
应用 oracle business_intelligence 12.2.1.3.0 -
运行在以下环境
应用 oracle business_intelligence 12.2.1.4.0 -
运行在以下环境
应用 oracle communications_diameter_signaling_router * Up to
(excluding)
8.3
运行在以下环境
应用 oracle communications_metasolv_solution 6.3.0 -
运行在以下环境
应用 oracle communications_webrtc_session_controller * Up to
(excluding)
7.2
运行在以下环境
应用 oracle data_integrator 12.2.1.3.0 -
运行在以下环境
应用 oracle enterprise_repository 11.1.1.7.0 -
运行在以下环境
应用 oracle enterprise_repository 12.1.3.0.0 -
运行在以下环境
应用 oracle financial_services_analytical_applications_infrastructure * From
(including)
7.3.3.0.0
Up to
(including)
7.3.3.0.2
运行在以下环境
应用 oracle financial_services_analytical_applications_infrastructure * From
(including)
8.0.0.0.0
Up to
(including)
8.0.7.1.0
运行在以下环境
应用 oracle fusion_middleware_mapviewer 12.2.1.2 -
运行在以下环境
应用 oracle fusion_middleware_mapviewer 12.2.1.3 -
运行在以下环境
应用 oracle instantis_enterprisetrack 17.1 -
运行在以下环境
应用 oracle instantis_enterprisetrack 17.2 -
运行在以下环境
应用 oracle instantis_enterprisetrack 17.3 -
运行在以下环境
应用 oracle insurance_calculation_engine 10.1.1 -
运行在以下环境
应用 oracle insurance_calculation_engine 10.2.1 -
运行在以下环境
应用 oracle insurance_policy_administration_j2ee 10.0 -
运行在以下环境
应用 oracle insurance_policy_administration_j2ee 10.2 -
运行在以下环境
应用 oracle jd_edwards_enterpriseone_tools 9.2 -
运行在以下环境
应用 oracle retail_back_office 13.3 -
运行在以下环境
应用 oracle retail_back_office 13.4 -
运行在以下环境
应用 oracle retail_back_office 14 -
运行在以下环境
应用 oracle retail_back_office 14.1 -
运行在以下环境
应用 oracle retail_central_office 14.1 -
运行在以下环境
应用 oracle retail_integration_bus 17.0 -
运行在以下环境
应用 oracle retail_order_broker 15.0 -
运行在以下环境
应用 oracle retail_order_broker 16.0 -
运行在以下环境
应用 oracle retail_order_broker 5.1 -
运行在以下环境
应用 oracle retail_order_broker 5.2 -
运行在以下环境
应用 oracle retail_point-of-service 13.4 -
运行在以下环境
应用 oracle retail_point-of-service 14.0 -
运行在以下环境
应用 oracle retail_point-of-service 14.1 -
运行在以下环境
应用 oracle retail_returns_management 14.1 -
运行在以下环境
系统 canonical ubuntu_linux 14.04 -
运行在以下环境
系统 debian debian_linux 7.0 -
运行在以下环境
系统 debian debian_linux 8.0 -
运行在以下环境
系统 debian debian_linux 9.0 -
运行在以下环境
系统 debian_7 batik * Up to
(excluding)
1.7+dfsg-3+deb7u3
运行在以下环境
系统 debian_8 batik * Up to
(excluding)
1.7+dfsg-5+deb8u1
运行在以下环境
系统 debian_9 batik * Up to
(excluding)
1.8-4+deb9u1
运行在以下环境
系统 fedora_27 batik * Up to
(excluding)
1.10-1.fc27
运行在以下环境
系统 fedora_28 batik * Up to
(excluding)
1.10-1.fc28
运行在以下环境
系统 ubuntu_14.04.6_lts batik * Up to
(excluding)
1.7.ubuntu-8ubuntu2.14.04.3
运行在以下环境
系统 ubuntu_14.04_lts batik * Up to
(excluding)
1.7.ubuntu-8ubuntu2.14.04.3
运行在以下环境
系统 ubuntu_18.10 batik * Up to
(excluding)
1.10-1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-502 可信数据的反序列化
阿里云安全产品覆盖情况